Main Page Class Hierarchy Compound List File List Compound Members File Members

# global_msg.h File Reference

`#include <earthworm_defs.h>`
`#include <transport.h>`

Go to the source code of this file.

## Defines
#define | BUFF_OVERRUN_SIZE 20
## Typedefs
typedef int | GLOBAL_MSG_STATUS
## Enumerations
enum | GLOBAL_MSG_STATUS_TYPES { GLOBAL_MSG_UNKNOWN = 1, GLOBAL_MSG_SUCCESS = 0, GLOBAL_MSG_NULL = -1, GLOBAL_MSG_VERSINVALID = -2, GLOBAL_MSG_FORMATERROR = -3, GLOBAL_MSG_MAXCHILDREN = -4, GLOBAL_MSG_BADPARAM = -5, GLOBAL_MSG_TOOSMALL = -6, GLOBAL_MSG_BADCHILD = -7, GLOBAL_MSG_DEFINESMALL = -9, GLOBAL_MSG_BADAMPTYPE = -10 }
## Functions
double | DTStringToTime (const char *p_datestring)
int | TimeToDTString (const double p_time, char *p_buffer)
GLOBAL_MSG_STATUS | EncodeAuthor (MSG_LOGO p_logo, char *r_buffer)
GLOBAL_MSG_STATUS | DecodeAuthor (MSG_LOGO *p_logo, char *r_buffer)
const char * | GetGlobalAmpTypeName (AMPLITUDE_TYPE p_type)

## Define Documentation

#define BUFF_OVERRUN_SIZE 20

| Definition at line 10 of file global_msg.h.

## Typedef Documentation

typedef int GLOBAL_MSG_STATUS

| Definition at line 13 of file global_msg.h. Referenced by ClearAmpLines(), ClearPhaseLines(), DecodeAuthor(), EncodeAuthor(), InitGlobalAmp(), InitGlobalAmpLine(), InitGlobalLoc(), InitGlobalPhaseLine(), InitGlobalPick(), StringToAmp(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), StringToPick(), WriteAmpLineToBuffer(), WriteAmpToBuffer(), WriteLocToBuffer(), WritePhaseLineToBuffer(), and WritePickToBuffer().

## Enumeration Type Documentation

enum GLOBAL_MSG_STATUS_TYPES

  | Enumeration values:
  GLOBAL_MSG_UNKNOWN |
  GLOBAL_MSG_SUCCESS |
  GLOBAL_MSG_NULL |
  GLOBAL_MSG_VERSINVALID |
  GLOBAL_MSG_FORMATERROR |
  GLOBAL_MSG_MAXCHILDREN |
  GLOBAL_MSG_BADPARAM |
  GLOBAL_MSG_TOOSMALL |
  GLOBAL_MSG_BADCHILD |
  GLOBAL_MSG_DEFINESMALL |
  GLOBAL_MSG_BADAMPTYPE |
Definition at line 20 of file global_msg.h.

## Function Documentation

GLOBAL_MSG_STATUS DecodeAuthor | ( | MSG_LOGO * | p_logo,
|  | char * | r_buffer
| ) |

| Definition at line 107 of file global_msg.c. References GLOBAL_MSG_BADPARAM, GLOBAL_MSG_FORMATERROR, GLOBAL_MSG_NULL, GLOBAL_MSG_STATUS, GLOBAL_MSG_SUCCESS, MSG_LOGO::instid, MSG_LOGO::mod, and MSG_LOGO::type. Referenced by StringToAmp(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), and StringToPick().

double DTStringToTime | ( | const char * | p_datestring | ) |

| Definition at line 12 of file global_msg.c.

GLOBAL_MSG_STATUS EncodeAuthor | ( | MSG_LOGO | p_logo,
|  | char * | r_buffer
| ) |

| Definition at line 87 of file global_msg.c. References GLOBAL_MSG_NULL, GLOBAL_MSG_STATUS, GLOBAL_MSG_SUCCESS, MSG_LOGO::instid, MSG_LOGO::mod, and MSG_LOGO::type. Referenced by WriteAmpLineToBuffer(), WriteAmpToBuffer(), WriteLocToBuffer(), WritePhaseLineToBuffer(), and WritePickToBuffer().

const char* GetGlobalAmpTypeName | ( | AMPLITUDE_TYPE | p_type | ) |

| Definition at line 160 of file global_msg.c. References AMPTYPE_COUNT, and AMPTYPE_NONE.

int TimeToDTString | ( | const double | p_time,
|  | char * | p_buffer
| ) |

| Definition at line 57 of file global_msg.c. References GLOBAL_MSG_NULL, and GLOBAL_MSG_SUCCESS.